Package org.apache.lucene.spatial.prefix.tree

## Class PackedQuadPrefixTree.PrefixTreeIterator

- java.lang.Object
- - org.apache.lucene.spatial.prefix.tree.CellIterator
  - - org.apache.lucene.spatial.prefix.tree.PackedQuadPrefixTree.PrefixTreeIterator

- All Implemented Interfaces:
    `Iterator<Cell>`
  Enclosing class:
    PackedQuadPrefixTree

      protected class PackedQuadPrefixTree.PrefixTreeIterator
      extends CellIterator

  This is a streamlined version of TreeCellIterator, with built-in support to prune at detailLevel (but not recursively upwards).

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` |
    `Cell` | `next()` |
    `void` | `remove()` | This prevents sub-cells (those underneath the current cell) from being iterated to, if applicable, otherwise a NO-OP.

    - ### Methods inherited from class org.apache.lucene.spatial.prefix.tree.CellIterator

      `nextFrom, thisCell`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Method Detail

    - #### hasNext

          public boolean hasNext()

    - #### next

          public Cell next()

      Specified by:
        `next` in interface `Iterator<Cell>`
      Overrides:
        `next` in class `CellIterator`

    - #### remove

          public void remove()

      Description copied from class: `CellIterator`
      This prevents sub-cells (those underneath the current cell) from being iterated to, if applicable, otherwise a NO-OP.
      Specified by:
        `remove` in interface `Iterator<Cell>`
      Overrides:
        `remove` in class `CellIterator`